Bug 209471 - yum immediately crashes with traceback
yum immediately crashes with traceback
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-05 10:56 EDT by Jukka Ketelaars
Modified: 2014-01-21 17:55 EST (History)
0 users

See Also:
Fixed In Version: yum-3.0-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-06 14:07:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Configuration files (2.87 KB, application/x-bzip2)
2006-10-05 11:45 EDT, Jukka Ketelaars
no flags Details

  None (edit)
Description Jukka Ketelaars 2006-10-05 10:56:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.7) Gecko/20061004 Fedora/1.5.0.7-6.fc6 Firefox/1.5.0.7

Description of problem:
Laterst yum crashes with a traceback right after start

Version-Release number of selected component (if applicable):
yum-3.0-1

How reproducible:
Always


Steps to Reproduce:
1. start 'yum update' (or even only 'yum')
2. yuo get a traceback 


Actual Results:
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 85, in main
    base.getOptionsConfig(args)
  File "/usr/share/yum-cli/cli.py", line 199, in getOptionsConfig
    errorlevel=opts.errorlevel)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 112, in doConfigSetup
    startupconf = config.readStartupConfig(fn, root)
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 570, in readStartupConfig
    parser.readfp(confpp_obj)
  File "/usr/lib/python2.4/ConfigParser.py", line 286, in readfp
    self._read(fp, filename)
  File "/usr/lib/python2.4/ConfigParser.py", line 430, in _read
    line = fp.readline()
  File "/usr/lib/python2.4/site-packages/yum/parser.py", line 391, in readline
    return varReplace(line, self._vars)
  File "/usr/lib/python2.4/site-packages/yum/parser.py", line 272, in varReplace
    replacement = vars.get(varname, m.group())
AttributeError: 'NoneType' object has no attribute 'get'


Expected Results:
Package update from development

Additional info:
Comment 1 Seth Vidal 2006-10-05 11:02:40 EDT
please post the following info:

/etc/yum.conf
/etc/yum.repos.d/*.repo
rpm -q fedora-release
/etc/rpm/platform
uname -a
Comment 2 Jukka Ketelaars 2006-10-05 11:45:33 EDT
Created attachment 137826 [details]
Configuration files
Comment 3 Jukka Ketelaars 2006-10-05 11:47:19 EDT
# rpm -q fedora-release
fedora-release-5.92-1

# uname -a
Linux localhost.localdomain 2.6.18-1.2726.fc6 #1 SMP Mon Oct 2 19:27:36 EDT 2006
i686 i686 i386 GNU/Linux
Comment 4 Jeremy Katz 2006-10-05 23:00:50 EDT
Fixed in yum-3.0-3
Comment 5 Jukka Ketelaars 2006-10-06 14:07:24 EDT
Tested with yum-3.0-3. Works fine now. Thanks.

Note You need to log in before you can comment on or make changes to this bug.